System 2.0.0.0 4.0.0.0 System.InvalidOperationException

The class throws this exception to indicate that while sending an Internet Control Message Protocol (ICMP) Echo request, a method called by the class threw an unhandled exception. Applications should check the inner exception of a object to identify the problem.

The class does not throw this exception if the ICMP Echo request fails because of network, ICMP, or destination errors. For such errors, the class returns a object with the relevant value set in the property.

The exception that is thrown when a or method calls a method that throws an exception.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the property with the text in the parameter. The property is set to null.

  Initializes a new instance of the class using the specified message.

  A that describes the error.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute a previously serialized object.

  Initializes a new instance of the class with serialized data.

  The object that holds the serialized object data.
  A that specifies the contextual information about the source or destination for this serialization.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the property with the text in the parameter, and the property with the parameter.

  Initializes a new instance of the class using the specified message and inner exception.

  A that describes the error.
  The exception that causes the current exception.